# Advanced Usage

- [Sending email addresses to Nosto](https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/sending-email-addresses-to-nosto.md)
- [Manually segmenting users](https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/manually-segmenting-users.md)
- [Dynamically sending the cart content](https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/dynamically-sending-the-cart-content.md): If you're on a site where the cart content is not accessible when the page is rendered, you might need to fetch the cart content over AJAX/CORS and send that information to Nosto.
- [Sending Customer Information](https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples/sending-customer-information.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/common-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
